> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/additional-resources-reference-articles/faq/unsupported_sflow_structs.md).

# Unsupported sFlow Structures

### SYMPTOM

The log indicates that NetObserv Flow cannot process a sFlow record because it has enterprise-specific information that is not supported. For example:

```log
{"level":"error","ts":"2023-06-09T02:50:20.427Z","logger":"flow_processor","caller":"flowprocessor/flow.go:75","msg":"failed to process record","code":"processor/process-record-error","reason":"sFlow v5: could not decode samples: flow struct not supported - enterprise: 25506, format: 1003","stacktrace":"github.com/elastiflow/flowcoll/pkg/processors/flowprocessor.(*FlowProcessor).decodePacket\n\t/tmp/flowcoll/pkg/processors/flowprocessor/flow.go:75\ngithub.com/elastiflow/flowcoll/pkg/processors/flowprocessor.(*FlowProcessor).Run\n\t/tmp/flowcoll/pkg/processors/flowprocessor/flow.go:44"}
```

### PROBLEM

The collector received an sFlow Structure that is does not recognize. This is usually due to a vendor sending its own enterprise-specific structure. Prior to version `6.3.0`, the collector would log the above error when it encountered an unknown sFlow strucuture. As of the release of `6.3.0` the collector graciously ignore unsupported sFlow structures, without logging an error, and will process as much of the available structures that it can.

### SOLUTION

Update the collector to version `6.3.0` or newer to graciously ignore unsupported sFlow structures. To add support for a specific sFlow Structure, contact <support@elastiflow.com>. You will need to supply a PCAP of the records that contain the structure and documentation from the vendor about the contents of the structure.

### REFERENCE

* [flowcoll/changelog#630](https://github.com/elastiflow/documentation/blob/main/versioned_docs/version-6.3/flowcoll/changelog.md#630)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/additional-resources-reference-articles/faq/unsupported_sflow_structs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
